MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027397Community[OCCT] Website:Corporatepublic2016-04-18 14:372016-12-09 16:38
ReporterBenjaminBihler 
Assigned Tobugmaster 
PrioritynormalSeverityjust a question 
StatusclosedResolutionfixed 
PlatformWindows MinGw64OSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027397: Offer Precompiled Additional Libraries for MinGW
DescriptionCompilation with MinGW works here, if I do the build without FreeImage and Gl2Ps. I would like to use also FreeImage and Gl2Ps. For being able to do that, I need working libraries.

http://dev.opencascade.org/index.php?q=node/1152 [^] explains how to build these libraries. Would it be possible to offer precompiled libraries for MinGW64 at the download center? This would be really great!
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027402closedbugmaster Community Configuration, CMake - fix compilation with MinGw and additional libraries 
related to 0026297closedbugmaster Open CASCADE Rebuilding 3rd-party with consistent CRT dependencies 

-  Notes
(0053276)
BenjaminBihler (developer)
2016-04-18 18:57

As an alternative it would be helpful to describe how the additional MinGw libraries have to look like to fit into the build system.

Libraries compiled with MinGw normally have names like that:

libLibrary.dll
libLibrary.a

but when I populate my 3rdparty directory with libraries like that, cmake complains:

NOT FOUND: 3RDPARTY_FREEIMAGE_LIBRARY_DIR 3RDPARTY_FREEIMAGEPLUS_LIBRARY_DIR 3RDPARTY_GL2PS_LIBRARY_DIR

If I rename my library to Library.lib, cmake doesn't complain anymore. But is this the intended way?
(0053662)
BenjaminBihler (developer)
2016-04-28 11:26

Since issue 0027402 has been solved, this issue is not that urgent anymore. Since your focus is more on MSVC than on MinGW, you might want to close it.

Hint for MinGW fans: the Open CASCADE Community Edition together with oce-win-bundle is probably the easiest way to compile the additional libraries. The output of that compilation can be used to compile OCCT with additional libraries.
(0056221)
kgv (developer)
2016-07-26 12:37

Pre-built libraries (tcl-tk, FreeType, FreeImage, gl2ps) for MinGW-64 have been uploaded to Download center:
http://www.opencascade.com/content/3rd-party-components [^]
(0056222)
BenjaminBihler (developer)
2016-07-26 13:02

Great!!!

- Issue History
Date Modified Username Field Change
2016-04-18 14:37 BenjaminBihler New Issue
2016-04-18 14:37 BenjaminBihler Assigned To => user533
2016-04-18 18:57 BenjaminBihler Note Added: 0053276
2016-04-19 15:37 BenjaminBihler Relationship added related to 0027402
2016-04-28 11:26 BenjaminBihler Note Added: 0053662
2016-05-16 11:54 user533 Assigned To user533 => bugmaster
2016-07-25 17:19 kgv Relationship added related to 0026297
2016-07-26 12:37 kgv Note Added: 0056221
2016-07-26 12:37 kgv Status new => resolved
2016-07-26 12:37 kgv Resolution open => fixed
2016-07-26 13:02 BenjaminBihler Note Added: 0056222
2016-07-26 14:19 kgv Status resolved => reviewed
2016-07-26 16:44 bugmaster Status reviewed => verified
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker